/* 
*
*  ProLinga-Validate
*
*  Copyright (C) 2002-2008 Xobas Software.
*  All rights reserved.
*  
*  This file is part of ProLinga-Validate.
*
*  ProLinga-Validate is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  ProLinga-Validate is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with ProLinga-Validate.  If not, see <http://www.gnu.org/licenses/>.
*
*  More information is available at the following addresses:
*
*  Website     : http://www.prolinga.org
*
*  Email       : prolinga-list@prolinga.org
*
*
*/

#ifndef __LOGIC_COMMANDS_HPP
#define __LOGIC_COMMANDS_HPP


/* Logic Command Names */
#define LCMD_COMMENT		0
#define LCMD_CONTROL		1
#define LCMD_SCREEN		2
#define LCMD_MESSAGE		3
#define LCMD_CLEAR		4
#define LCMD_LET		5
#define LCMD_CALL		6
#define LCMD_TABLE		7
#define LCMD_DISPLAY		8
#define LCMD_IF			9
#define LCMD_RETURN		10
#define LCMD_ERROR		11
#define LCMD_LIST		12
#define LCMD_TREE		13
#define LCMD_FOREVER		14
#define LCMD_ENDIF		15
#define LCMD_ELSE		16
#define LCMD_ENDFOR		17
#define LCMD_BREAK		18
#define LCMD_CONTINUE		19
#define LCMD_TEXT		20
#define LCMD_RESPONSE		21
#define LCMD_NIL		22
#define LCMD_SLEEP		23
#define LCMD_RUN		24
#define LCMD_PARAMETER		25
#define LCMD_ELSEIF		26
#define LCMD_FOR		27
#define LCMD_SQL		28
#define LCMD_FOREACH		29
#define LCMD_XML		30
#define LCMD_REPOSITORY		31
#define LCMD_THREAD		32
#define LCMD_PROGRESS		33
#define LCMD_FOCUS		34
#define LCMD_TRANSACTION	35
#define LCMD_DATAMODEL		36
#define LCMD_UNKNOWN		99

#endif /* __LOGIC_COMMANDS_HPP */
